Page MenuHomePhabricator

Remove the Util class for PHP tests
Closed, ResolvedPublic2 Estimated Story Points

Description

This is currently only used for one class that should itself be removed (T243384). Furthermore, the only method it has is for calling private methods, which probably indicates that something is wrong with the tests. If we really need it, there is a MediaWiki class for it.

Related Objects

StatusSubtypeAssignedTask
Resolvedkalle
Resolvedkalle

Event Timeline

Restricted Application added a project: Wikispeech-Jobrunner. · View Herald TranscriptFeb 5 2020, 11:16 AM
Sebastian_Berlin-WMSE set the point value for this task to 2.Feb 19 2020, 11:39 AM

This is only used by HtmlGeneratorTest, so do this after that one is removed (T244344).

kalle claimed this task.Feb 20 2020, 8:31 AM
kalle moved this task from Backlog to In progress on the Wikispeech-Jobrunner (Sprint) board.

Change 573545 had a related patch set uploaded (by Karl Wettin (WMSE); owner: Karl Wettin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Wikispeech: Remove use of Utils.php

https://gerrit.wikimedia.org/r/573545

Change 573546 had a related patch set uploaded (by Karl Wettin (WMSE); owner: Karl Wettin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Wikispeech: Remove use of Utils.php

https://gerrit.wikimedia.org/r/573546

Change 573569 had a related patch set uploaded (by Karl Wettin (WMSE); owner: Karl Wettin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Wikispeech: Remove HtmlGenerator

https://gerrit.wikimedia.org/r/573569

Change 573572 had a related patch set uploaded (by Karl Wettin (WMSE); owner: Karl Wettin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Wikispeech: Remove use of Utils.php

https://gerrit.wikimedia.org/r/573572

Change 573546 abandoned by Karl Wettin (WMSE):
Wikispeech: Remove use of Utils.php

Reason:
I messed up the branching, starting over from scratch.

https://gerrit.wikimedia.org/r/573546

Change 573545 abandoned by Karl Wettin (WMSE):
Wikispeech: Remove use of Utils.php

Reason:
I messed up the branching, starting over from scratch.

https://gerrit.wikimedia.org/r/573545

Change 573569 merged by jenkins-bot:
[mediawiki/extensions/Wikispeech@master] Wikispeech: Remove HtmlGenerator

https://gerrit.wikimedia.org/r/573569

Change 573572 had a related patch set uploaded (by Karl Wettin (WMSE); owner: Karl Wettin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Wikispeech: Remove use of Utils.php

https://gerrit.wikimedia.org/r/573572

Change 573572 merged by jenkins-bot:
[mediawiki/extensions/Wikispeech@master] Wikispeech: Remove use of Utils.php

https://gerrit.wikimedia.org/r/573572

Sebastian_Berlin-WMSE closed this task as Resolved.Mar 9 2020, 1:15 PM

Mentioned in SAL (#wikimedia-cloud) [2020-04-07T08:34:28Z] <wm-bot> <sebastian-berlin-wmse> !log wikispeech Deploy latest from Git master: 85fa89a (T244344, T244345), f79fe03, 956e507, 66da277, 18c20c7 (T246085), 044eba0 (T249207), 2f98bef (T203161), 7aa7556 (T245823), 43e26a2